%global commit abf82149104ff3c70142ff1062e406cbd490da45
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           minimal-json
Version:        0.9.1
Release:        3%{?dist}
Summary:        A Minimal JSON Parser and Writer

License:        EPL
URL:            https://github.com/ralfstx/%{name}
Source0:        https://github.com/ralfstx/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildArch:      noarch

BuildRequires: maven-local
BuildRequires: mvn(org.mockito:mockito-core)

%description
A fast and minimal JSON parser and writer for Java.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -qn %{name}-%{commit}

# Javadoc error
sed -i -e  "s/@returns/@return/g" \
    com.eclipsesource.json/src/main/java/com/eclipsesource/json/JsonObject.java

%pom_disable_module com.eclipsesource.json.performancetest

%build
%mvn_build -s -- -f com.eclipsesource.json

%install
%mvn_install -J com.eclipsesource.json/target/apidocs

%files -f .mfiles-minimal-json
%dir /usr/share/java/minimal-json
%doc epl-v10.html README.md

%files javadoc -f .mfiles-javadoc
%doc epl-v10.html

%changelog
* Mon Apr 27 2015 Gerard Ryan <galileo@fedoraproject.org> - 0.9.1-3
- Fix javadoc error & make javadoc install explicit for f21

* Tue Nov 25 2014 Gerard Ryan <galileo@fedoraproject.org> - 0.9.1-2
- Make sure directory is owned by this package

* Sun Oct 26 2014 Gerard Ryan <galileo@fedoraproject.org> - 0.9.1-1
- Initial package.
